perl-Dancer2-Plugin-Paginator-2.09-alt1.noarch.rpm


Advertisement

Description

perl-Dancer2-Plugin-Paginator - Dancer2 plugin for Paginator::Lite

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Dancer2-Plugin-Paginator-2.09-alt1.noarch.rpm
Package name perl-Dancer2-Plugin-Paginator
Package version 2.09
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 22.08 KB
Installed size 22.08 KB
use Dancer2;
use Dancer2::Plugin::Paginator;
get '/list' => sub {
my $paginator = paginator(
'curr'     => $page,
'items'    => rset('Post')->count,
'base_url' => '/posts/page/',
);
template 'list', { paginator => $paginator };
};
dance;

Alternatives

Package Version Architecture Repository
perl-Dancer2-Plugin-Paginator - - -

Requires

Name Value
/usr/share/perl5 -
perl(Dancer2/Plugin.pm) >= 0.159.002
perl(Paginator/Lite.pm) >= 2.001.003
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dancer2/Plugin/Paginator.pm) = 2.090
perl-Dancer2-Plugin-Paginator = 2.09-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Dancer2-Plugin-Paginator-2.09-alt1.noarch.rpm
Source Package perl-Dancer2-Plugin-Paginator-2.09-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dancer2-Plugin-Paginator rpm package:
    # sudo apt-get install perl-Dancer2-Plugin-Paginator

Files

Path
/usr/share/doc/perl-Dancer2-Plugin-Paginator-2.09/Changes
/usr/share/doc/perl-Dancer2-Plugin-Paginator-2.09/LICENSE
/usr/share/doc/perl-Dancer2-Plugin-Paginator-2.09/README
/usr/share/perl5/Dancer2/
/usr/share/perl5/Dancer2/Plugin/Paginator.pm

See Also

Package Description
perl-Dancer2-Plugin-ParamKeywords-0.1.5-alt1.noarch.rpm Sugar for the params() keyword
perl-Dancer2-Plugin-ParamTypes-0.006-alt1.noarch.rpm Parameter type checking plugin for Dancer2
perl-Dancer2-Plugin-Passphrase-3.3.3-alt1.noarch.rpm Passphrases and Passwords as objects for Dancer2
perl-Dancer2-Plugin-Path-Class-0.08-alt1.noarch.rpm list a directory using Path::Class
perl-Dancer2-Plugin-Pg-0.07-alt1.noarch.rpm PostgreSQL connection for Dancer2
perl-Dancer2-Plugin-ProbabilityRoute-0.03-alt1.noarch.rpm plugin to define behavior with probability matching rules
perl-Dancer2-Plugin-ProgressMeter-0.011-alt1.noarch.rpm Keeps track of progress status
perl-Dancer2-Plugin-ProgressStatus-0.018-alt1.noarch.rpm Keeps track of progress status
perl-Dancer2-Plugin-Queue-0.006-alt1.noarch.rpm Dancer2 plugin for message queue abstractions
perl-Dancer2-Plugin-Queue-IronMQ-0.002-alt1.noarch.rpm Dancer2::Plugin::Queue backend using IronMQ
perl-Dancer2-Plugin-REST-1.02-alt1.noarch.rpm A plugin for writing RESTful apps with Dancer2
perl-Dancer2-Plugin-Redis-0.009-alt1.noarch.rpm Perl Dancer2 plugin for interaction with key-value-store Redis
perl-Dancer2-Plugin-Res-0.08-alt1.noarch.rpm Dancer2 add-on for setting status/response
perl-Dancer2-Plugin-RootURIFor-0.03-alt1.noarch.rpm Mountpoint-agnostic uri builder for Dancer2
perl-Dancer2-Plugin-RoutePodCoverage-0.071-alt1.noarch.rpm Plugin to verify pod coverage in our app routes
Advertisement
Advertisement